- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
App Class Reference

An implementation of the Main::Output abstract interface for command-line output. More...

Inheritance diagram for App:

## Public Member Functions
void | output (const std::string &text, bool e)
| Outputs the given string. More...
Public Member Functions inherited from Main::Output
virtual | ~Output ()
| Destructor. More...

## Detailed Description

An implementation of the Main::Output abstract interface for command-line output.

An App instance is passed to Main::Run.

See also
  Main::Run

Definition at line 35 of file main.cpp.

## Member Function Documentation

void App::output | ( | const std::string & | ,
|  | bool | error
| ) |  |
| inline virtual

Outputs the given string.

Implements Main::Output.

Definition at line 37 of file main.cpp.

The documentation for this class was generated from the following file:

- main.cpp